
--  Licensed to the Apache Software Foundation (ASF) under one or more
--  contributor license agreements.  See the NOTICE file distributed with
--  this work for additional information regarding copyright ownership.
--  The ASF licenses this file to You under the Apache License, Version 2.0
--  (the "License"); you may not use this file except in compliance with
--  the License.  You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
--  Unless required by applicable law or agreed to in writing, software
--  distributed under the License is distributed on an "AS IS" BASIS,
--  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--  See the License for the specific language governing permissions and
--  limitations under the License.


CREATE TABLE Customer(
    customerId VARCHAR(255) PRIMARY KEY,
    name VARCHAR(255)
);

CREATE TABLE Account(
    accountNumber VARCHAR(255) PRIMARY KEY,
    accountType VARCHAR(255),
    balance DOUBLE,
    customerId VARCHAR(255),
    FOREIGN KEY (customerId) REFERENCES customer
);

CREATE TABLE ExchangeRate(
    rateId VARCHAR(255) PRIMARY KEY,
    currency VARCHAR(255),
    rate DOUBLE
);

INSERT INTO Customer(customerId, name) VALUES('12345','John Doe');
INSERT INTO Account(accountNumber, accountType, balance, customerId) VALUES('1234567890','Savings',1005.35,'12345');
INSERT INTO Account(accountNumber, accountType, balance, customerId) VALUES('2345678901','Current',999.95,'12345');

INSERT INTO ExchangeRate(rateId,currency,rate) VALUES('001','EURO',0.812);
INSERT INTO ExchangeRate(rateId,currency,rate) VALUES('002','YEN',111.15);
INSERT INTO ExchangeRate(rateId,currency,rate) VALUES('003','SLR',99.18);